package com.example.mapper;

import com.example.entity.SaleStatement;
import java.util.List;

/**
 * 操作sale_statement相关数据接口
*/
public interface SaleStatementMapper {

    /**
      * 新增
    */
    int insert(SaleStatement saleStatement);

    /**
      * 删除
    */
    int deleteById(Integer id);

    /**
      * 修改
    */
    int updateById(SaleStatement saleStatement);

    /**
      * 根据ID查询
    */
    SaleStatement selectById(Integer id);

    /**
      * 查询所有
    */
    List<SaleStatement> selectAll(SaleStatement saleStatement);

}